using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ADKeepAlive : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.AddHeader("Cache-Control", "no-cache, must-revalidate");
        Response.AddHeader("Pragma", "no-cache");
        Response.Expires = -1;
        string UserID = "";
        string Password = Request["pw"];
        if (UserID.IndexOf("@") >= 0)
            UserID = Request["uid"];
        else
            UserID = Request["uid"] + ConfigurationManager.AppSettings.Get("ADLoginDomain");
        DateTime startTime = DateTime.Now;

        MembershipUser user = Membership.GetUser(UserID);
        try
        {
            if (user.UserName.Trim().Length > 0)
                Response.Write("Good GetUser - " + startTime.ToString() + " - " + DateTime.Now.ToString() + "\r\n");
        }
        catch (NullReferenceException)
        {
            Response.Write("Bad GetUser - " + startTime.ToString() + " - " + DateTime.Now.ToString() + "\r\n");
        }

        if (Password.Trim().Length > 0)
        {
            if (Membership.ValidateUser(UserID, Password))
            {
                Response.Write("Good ValidateUser - " + startTime.ToString() + " - " + DateTime.Now.ToString() + "\r\n");
            }
            else
            {
                Response.Write("Bad ValidateUser - " + startTime.ToString() + " - " + DateTime.Now.ToString() + "\r\n");
            }
        }

        Response.End();
    }
}
